API ReferenceInboxes
Create an inbox
Roles
adminissuermanaged-issuer
Analytics Events
MESSAGING_INBOX_CREATE_STARTMESSAGING_INBOX_CREATE_SUCCESSMESSAGING_INBOX_CREATE_FAIL
POST
/v1/messaging/inboxesCreates an inbox that can register DIDs and then hold messages sent to those DIDs service points.
Analytic events
- MESSAGING_INBOX_CREATE_START
- MESSAGING_INBOX_CREATE_SUCCESS
- MESSAGING_INBOX_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
Inbox configuration
name*string
Inbox name.
Length
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/messaging/inboxes" \ -H "Content-Type: application/json" \ -d '{ "name": "My_Inbox" }'{
"id": "f04faabf-cea8-4f39-95b3-0ce357ac4d03",
"name": "My_Inbox"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Send a message POST
Sends an encrypted JWM (JSON Web Messaging) format message to a service endpoint defined in a public DID document. ### **Analytic events** * MESSAGING_SEND_START * MESSAGING_SEND_SUCCESS * MESSAGING_SEND_FAIL
List inboxes GET
Returns a list of all inboxes on the tenant. ### **Analytic events** * MESSAGING_INBOX_RETRIEVE_LIST_START * MESSAGING_INBOX_RETRIEVE_LIST_SUCCESS * MESSAGING_INBOX_RETRIEVE_LIST_FAIL